var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import { InlineNestedAttribute } from '../../../../../InlineNestedAttribute';
import { LazyRenderer } from '../../../../../LazyRenderer';
import { useCommonStyles } from '../../styles';
export var NestedAttributesRenderer = function (_a) {
    var attributeValues = _a.attributeValues, props = __rest(_a, ["attributeValues"]);
    var styles = useCommonStyles();
    var enabledLazyRendering = (attributeValues === null || attributeValues === void 0 ? void 0 : attributeValues.length) > 20;
    var nestedValues = attributeValues === null || attributeValues === void 0 ? void 0 : attributeValues.map(function (attributeValue, i) {
        return (React.createElement(LazyRenderer, { key: attributeValue === null || attributeValue === void 0 ? void 0 : attributeValue.uri, enabled: enabledLazyRendering, className: styles.basicCell },
            React.createElement("div", { className: styles.basicCell, "data-reltio-id": "value-index-".concat(i) },
                React.createElement(InlineNestedAttribute, __assign({ attributeValue: attributeValue }, props)))));
    });
    return React.createElement(React.Fragment, null, nestedValues);
};
